Zend Studio Eclipse plug-in over RAD

General discussion on Zend Studio for IBM System i
Post Reply
mikehamla
Posts: 12
Joined: Tue Jan 18, 2011 5:42 pm

Zend Studio Eclipse plug-in over RAD

Post by mikehamla » Fri May 06, 2011 9:00 am

Hi,

As we will now be coding in RPG and PHP, I attempted to install the Eclipse Zend Studio Plug-in (v8.0) over Rapid Application Developer for Power Systems (v8.0) so we can have a single IDE. This was not allowed because the IBM Eclipse Provisioning Plan found conflicts. I found a workaround and installed the plug-in anyway - IBM were right, the plug-in did not work. It seems to me that it would be in the best interests of both Zend and IBM to get this working - and isn't that the whole point of Eclipse?

Has anybody else got the Zend Studio plug-in working over RAD? If so, which versions of each product are compatible?

Are there any plans from Zend/Rational to release a formal version of the Zend Studio plug-in for RAD?

Cheers,
Mike.

mikehamla
Posts: 12
Joined: Tue Jan 18, 2011 5:42 pm

Re: Zend Studio Eclipse plug-in over RAD

Post by mikehamla » Tue May 24, 2011 4:25 pm

If anybody else has the same idea, we have received a reply from Zend. Although Rational Application Developer and Zend Studio are both based upon Eclipse, this tends to be a different version of Eclipse as the two products are migrating to new versions at different rates. So you might get a Zend Eclipse plug-in to work over RAD - or you might not. Even if you do, you will probably encounter problems the first time you upgrade either RAD or the Zend plug-in.

Zend's advice is to use the two products in isolation, and given the explanation above it sounds like good advice to me.

Post Reply